Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1122213

Summary: Review Request: nodejs-breakable - Break out of functions
Product: [Fedora] Fedora Reporter: Ralph Bean <rbean>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, panemade
Target Milestone: ---Flags: panemade: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-07-23 17:21:31 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 956806, 1122219    

Description Ralph Bean 2014-07-22 19:03:54 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-breakable.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-breakable-1.0.0-1.fc20.src.rpm

Description:
Break out of functions, recursive or not, in a more composable way than by
using exceptions explicitly. Non-local return.

Comment 1 Parag AN(पराग) 2014-07-23 08:50:01 UTC
Review:

+ mock build is successful for f22

+ rpmlint output on rpms gave
nodejs-breakable.noarch: W: spelling-error %description -l en_US composable -> compo sable, compo-sable, compos able
nodejs-breakable.noarch: W: only-non-binary-in-usr-lib
nodejs-breakable.src: W: spelling-error %description -l en_US composable -> compo sable, compo-sable, compos able
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :ff0da66851a76e25c6322ca86e2933e2cbcedb1acbc158cd89f380535137ae38
upstream tarball :
ff0da66851a76e25c6322ca86e2933e2cbcedb1acbc158cd89f380535137ae38
+ License "MIT" is valid and is included in its own file as %doc

+ rest looks following packaging guidelines.

APPROVED.

Comment 2 Ralph Bean 2014-07-23 14:07:30 UTC
New Package SCM Request
=======================
Package Name: nodejs-breakable
Short Description: Break out of functions
Upstream URL: https://npmjs.org/package/breakable
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 3 Gwyn Ciesla 2014-07-23 14:23:13 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-07-23 17:12:21 UTC
nodejs-breakable-1.0.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-breakable-1.0.0-1.fc20

Comment 5 Fedora Update System 2014-07-23 17:12:32 UTC
nodejs-breakable-1.0.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-breakable-1.0.0-1.fc19

Comment 6 Ralph Bean 2014-07-23 17:21:31 UTC
Buildroot overrides created.

Comment 7 Fedora Update System 2014-08-15 02:40:17 UTC
nodejs-breakable-1.0.0-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 8 Fedora Update System 2014-08-15 02:54:08 UTC
nodejs-breakable-1.0.0-1.fc19 has been pushed to the Fedora 19 stable repository.